I've downloaded the newest version of Mandriva 2007 x64(HuangHe) and I'm not able to install nspluginwrapper-i386-0.9.90.3-1mdv2007.0.x86_64 due to unsatisfied libXt.so.6. I've tried three mirrors they all end that way, any ideas how to fix this ? Thankyou.